petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchSetDamping

Sets the line search damping paramter.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetDamping(SNESLineSearch linesearch,PetscReal damping)

### Input Parameters

| linesearch | - linesearch context Many br
| damping | - The damping parameter Many br

### Options Database

-snes_linesearch_damping - Many br

### Notes

The basic line search merely takes the update step scaled by the damping parameter. Many brThe use of the damping parameter in the l2 and cp line searches is much more subtle; Many brit is used as a starting point in calculating the secant step. However, the eventual Many brstep may be of greater length than the damping parameter. In the bt line search it is Many brused as the maximum possible step length, as the bt line search only backtracks. Many br

### See Also

SNESLineSearchGetDamping()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages